/*
	Generated by Firefox Profilemaker
*/
user_pref("app.normandy.api_url", "");
user_pref("app.normandy.enabled", false);
user_pref("app.shield.optoutstudies.enabled", false);

// Beacons are for sending data to remote sites when the tab is closed
user_pref("beacon.enabled", false);

user_pref("browser.aboutConfig.showWarning", false);
user_pref("browser.cache.offline.enable", false);
user_pref("browser.disableResetPrompt", true);
user_pref("browser.newtab.preload", false);

// FF Safebrowsing is something I don't use
user_pref("browser.safebrowsing.appRepURL", "");
user_pref("browser.safebrowsing.blockedURIs.enabled", false);
user_pref("browser.safebrowsing.downloads.enabled", false);
user_pref("browser.safebrowsing.downloads.remote.enabled", false);
user_pref("browser.safebrowsing.downloads.remote.url", "");
user_pref("browser.safebrowsing.enabled", false);
user_pref("browser.safebrowsing.malware.enabled", false);
user_pref("browser.safebrowsing.phishing.enabled", false);

// Read http://kb.mozillazine.org/Browser.send_pings
user_pref("browser.send_pings", false);

// When the browser crashes, you can restore your last session after restarting it. I need this feature often. Read http://kb.mozillazine.org/Browser.sessionstore.privacy_level
user_pref("browser.sessionstore.privacy_level", 0);

user_pref("browser.tabs.crashReporting.sendReport", false);
user_pref("browser.tabs.firefox-view", false);
user_pref("datareporting.healthreport.service.enabled", false);
user_pref("datareporting.healthreport.uploadEnabled", false);
user_pref("datareporting.policy.dataSubmissionEnabled", false);

// Disable features I don't use but can be used for browser fingerprinting
user_pref("device.sensors.ambientLight.enabled", false);
user_pref("device.sensors.enabled", false);
user_pref("device.sensors.motion.enabled", false);
user_pref("device.sensors.orientation.enabled", false);
user_pref("device.sensors.proximity.enabled", false);
user_pref("dom.battery.enabled", false);
user_pref("dom.event.clipboardevents.enabled", false);
user_pref("dom.security.https_only_mode", true);
user_pref("dom.security.https_only_mode_ever_enabled", true);
user_pref("dom.webaudio.enabled", false);

user_pref("experiments.activeExperiment", false);
user_pref("experiments.enabled", false);
user_pref("experiments.manifest.uri", "");
user_pref("experiments.supported", false);

user_pref("media.autoplay.default", 0);
user_pref("media.autoplay.enabled", true);

// WebRTC
user_pref("media.navigator.enabled", false);
user_pref("media.peerconnection.enabled", false);
user_pref("media.peerconnection.ice.default_address_only", true);

// Used by Jewtube for showing "Stats for Nerds"
user_pref("media.video_stats.enabled", false);

// For domains with special characters: http://kb.mozillazine.org/Network.IDN_show_punycode
user_pref("network.IDN_show_punycode", true);

user_pref("network.allow-experiments", false);

// DNS prefetch
user_pref("network.dns.disablePrefetch", true);
user_pref("network.dns.disablePrefetchFromHTTPS", true);

user_pref("network.http.referer.spoofSource", true);

// Disable Network Predictions
user_pref("network.predictor.enable-prefetch", false);
user_pref("network.predictor.enabled", false);
user_pref("network.prefetch-next", false);

// Moar privacy
user_pref("privacy.donottrackheader.enabled", false);
user_pref("privacy.donottrackheader.value", 1);

// Strip query parameters used for tracking
user_pref("privacy.query_stripping", true);
user_pref("privacy.query_stripping.enabled.pbmode", true);

// Enable Enhanced Tracking Protection (already defined at the Policies);
//user_pref("browser.contentblocking.category", "strict");
//user_pref("privacy.trackingprotection.cryptomining.enabled", true);
//user_pref("privacy.trackingprotection.enabled", true);
//user_pref("privacy.trackingprotection.fingerprinting.enabled", true);
user_pref("privacy.trackingprotection.pbmode.enabled", true);

/*
	My own settings
*/
user_pref("accessibility.typeaheadfind.enablesound", true);
user_pref("accessibility.typeaheadfind.flashBar", true);
user_pref("browser.ctrlTab.sortByRecentlyUsed", true);

// Disables Ctrl+Q
user_pref("browser.quitShortcut.disabled", true);

user_pref("browser.search.suggest.enabled.private", true);

// Session will be backed-up each 5 minuten
user_pref("browser.sessionstore.interval", 300000);

user_pref("browser.urlbar.clickSelectsAll", true);
user_pref("browser.urlbar.doubleClickSelectsAll", false);
user_pref("browser.urlbar.suggest.history", false);
user_pref("browser.urlbar.suggest.topsites", false);
user_pref("general.autoScroll", true);
user_pref("general.smoothScroll", true);
user_pref("security.insecure_connection_text.enabled", true);
user_pref("security.insecure_connection_text.pbmode.enabled", true);
user_pref("security.insecure_field_warning.contextual.enabled", true);
user_pref("security.mixed_content.block_active_content", true);
user_pref("security.warn_submit_secure_to_insecure", true);
user_pref("devtools.theme", "dark");
user_pref("full-screen-api.warning.timeout", 0);
user_pref("browser.fullscreen.autohide", false);
user_pref("ui.systemUsesDarkTheme", 1);

// From https://wiki.archlinux.org/title/Firefox/Privacy#Disable/enforce_'Trusted_Recursive_Resolver'
user_pref("network.trr.mode", 2);

user_pref("network.captive-portal-service.enabled", false);

// Fullscreen animation duration: https://superuser.com/a/1742261
user_pref("full-screen-api.transition-duration.enter", 0);
user_pref("full-screen-api.transition-duration.leave", 0);

// Native file chooser
user_pref("widget.use-xdg-desktop-portal", true);
user_pref("widget.use-xdg-desktop-portal.file-picker", 0);

/*
	Here starts configurations per profile
*/
